<?php

 add_action( 'init', 'create_localleader' );
	
	function create_localleader() {
	
		register_post_type( 'localleader',
			array(
				'labels' => array(
					'name' => __( 'Local Leader' ),
					'singular_name' => __( 'Local Leader' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' =>  'https://cdn1.iconfinder.com/data/icons/fatcow/16/page_white_add.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}

add_action( 'add_meta_boxes', 'settings_localleader' );
function settings_localleader()
{
	add_meta_box( 'localleader', 'Create your own Local Leader Page:', 'create_localleader_settings', 'localleader', 'normal', 'high' );
}


add_action('admin_enqueue_scripts', 'my_admin_scripts');
 
function my_admin_scripts() {
    if (isset($_GET['page']) && $_GET['page'] == 'my_plugin_page') {
        wp_enqueue_media();
        wp_register_script('my-admin-js', WP_PLUGIN_URL.'/my-plugin/my-admin.js', array('jquery'));
        wp_enqueue_script('my-admin-js');
    }
}





function create_localleader_settings( $post )
{
	$values = get_post_custom( $post->ID );
	$lead_logo = isset( $values['lead_logo'] ) ? esc_attr( $values['lead_logo'][0] ) : '';
	$lead_cta_heading = isset( $values['lead_cta_heading'] ) ? esc_attr( $values['lead_cta_heading'][0] ) : '';		$lead_cta_subheading_no = isset( $values['lead_cta_subheading_no'] ) ? esc_attr( $values['lead_cta_subheading_no'][0] ) : '';
	$lead_cta_subheading = isset( $values['lead_cta_subheading'] ) ? esc_attr( $values['lead_cta_subheading'][0] ) : '';
	$lead_footer_text = isset( $values['lead_footer_text'] ) ? esc_attr( $values['lead_footer_text'][0] ) : '';
	$lead_footer_menu = isset( $values['lead_footer_menu'] ) ? esc_attr( $values['lead_footer_menu'][0] ) : '';
	$lead_tap_call = isset( $values['lead_tap_call'] ) ? esc_attr( $values['lead_tap_call'][0] ) : '';
	
	$lead_featured_image = isset( $values['lead_featured_image'] ) ? esc_attr( $values['lead_featured_image'][0] ) : '';
		$lead_optin_textbg = isset( $values['lead_optin_textbg'] ) ? esc_attr( $values['lead_optin_textbg'][0] ) : '';		$lead_optin_bg = isset( $values['lead_optin_bg'] ) ? esc_attr( $values['lead_optin_bg'][0] ) : '';		
	$lead_optin_heading = isset( $values['lead_optin_heading'] ) ? esc_attr( $values['lead_optin_heading'][0] ) : '';		$lead_optin_heading_size = isset( $values['lead_optin_heading_size'] ) ? esc_attr( $values['lead_optin_heading_size'][0] ) : '';	$lead_optin_heading_style = isset( $values['lead_optin_heading_style'] ) ? esc_attr( $values['lead_optin_heading_style'][0] ) : '';			$lead_optin_heading_font = isset( $values['lead_optin_heading_font'] ) ? esc_attr( $values['lead_optin_heading_font'][0] ) : '';			$lead_optin_heading_color = isset( $values['lead_optin_heading_color'] ) ? esc_attr( $values['lead_optin_heading_color'][0] ) : '';				
	$lead_optin_subheading = isset( $values['lead_optin_subheading'] ) ? esc_attr( $values['lead_optin_subheading'][0] ) : '';		$lead_optin_subheading_size = isset( $values['lead_optin_subheading_size'] ) ? esc_attr( $values['lead_optin_subheading_size'][0] ) : '';	$lead_optin_subheading_style = isset( $values['lead_optin_subheading_style'] ) ? esc_attr( $values['lead_optin_subheading_style'][0] ) : '';		$lead_optin_subheading_font = isset( $values['lead_optin_subheading_font'] ) ? esc_attr( $values['lead_optin_subheading_font'][0] ) : '';			$lead_optin_subheading_color = isset( $values['lead_optin_subheading_color'] ) ? esc_attr( $values['lead_optin_subheading_color'][0] ) : '';			
	$lead_optin_btn_text = isset( $values['lead_optin_btn_text'] ) ? esc_attr( $values['lead_optin_btn_text'][0] ) : '';
	$lead_optin_privacy_text = isset( $values['lead_optin_privacy_text'] ) ? esc_attr( $values['lead_optin_privacy_text'][0] ) : '';
	
	$thumb_img_1 = isset( $values['thumb_img_1'] ) ? esc_attr( $values['thumb_img_1'][0] ) : '';
	$thumb_img_2 = isset( $values['thumb_img_2'] ) ? esc_attr( $values['thumb_img_2'][0] ) : '';
	$thumb_img_3 = isset( $values['thumb_img_3'] ) ? esc_attr( $values['thumb_img_3'][0] ) : '';
	$thumb_img_4 = isset( $values['thumb_img_4'] ) ? esc_attr( $values['thumb_img_4'][0] ) : '';
	$thumb_img_5 = isset( $values['thumb_img_5'] ) ? esc_attr( $values['thumb_img_5'][0] ) : '';
	$thumb_img_6 = isset( $values['thumb_img_6'] ) ? esc_attr( $values['thumb_img_6'][0] ) : '';
	$thumb_img_7 = isset( $values['thumb_img_7'] ) ? esc_attr( $values['thumb_img_7'][0] ) : '';
	
	
	$lead_tab_one = isset( $values['lead_tab_one'] ) ? esc_attr( $values['lead_tab_one'][0] ) : '';
	$lead_tab_two = isset( $values['lead_tab_two'] ) ? esc_attr( $values['lead_tab_two'][0] ) : '';
	$lead_tab_three = isset( $values['lead_tab_three'] ) ? esc_attr( $values['lead_tab_three'][0] ) : '';
	$lead_tab_four = isset( $values['lead_tab_four'] ) ? esc_attr( $values['lead_tab_four'][0] ) : '';

	$lead_tabcontent1 = isset( $values['lead_tabcontent1'] ) ? esc_attr( $values['lead_tabcontent1'][0] ) : '';
	$lead_tabcontent2 = isset( $values['lead_tabcontent2'] ) ? esc_attr( $values['lead_tabcontent2'][0] ) : '';
	$lead_tabcontent3 = isset( $values['lead_tabcontent3'] ) ? esc_attr( $values['lead_tabcontent3'][0] ) : '';
	$lead_tabcontent4 = isset( $values['lead_tabcontent4'] ) ? esc_attr( $values['lead_tabcontent4'][0] ) : '';
			$tab_menu_bg = isset( $values['tab_menu_bg'] ) ? esc_attr( $values['tab_menu_bg'][0] ) : '';		$tab_bg = isset( $values['tab_bg'] ) ? esc_attr( $values['tab_bg'][0] ) : '';			$tab_font_size = isset( $values['tab_font_size'] ) ? esc_attr( $values['tab_font_size'][0] ) : '';		$tab_font_font = isset( $values['tab_font_font'] ) ? esc_attr( $values['tab_font_font'][0] ) : '';		$tab_font_style = isset( $values['tab_font_style'] ) ? esc_attr( $values['tab_font_style'][0] ) : '';		$tab_font_color = isset( $values['tab_font_color'] ) ? esc_attr( $values['tab_font_color'][0] ) : '';							
	$lead_embed_map = isset( $values['lead_embed_map'] ) ? esc_attr( $values['lead_embed_map'][0] ) : '';
	
	
	$lead_company_details = isset( $values['lead_company_details'] ) ? esc_attr( $values['lead_company_details'][0] ) : '';
	$lead_content_heading = isset( $values['lead_content_heading'] ) ? esc_attr( $values['lead_content_heading'][0] ) : '';
	$lead_content = isset( $values['lead_content'] ) ? esc_attr( $values['lead_content'][0] ) : '';	

	
	$lead_facebook = isset( $values['lead_facebook'] ) ? esc_attr( $values['lead_facebook'][0] ) : '';
	$lead_twitter = isset( $values['lead_twitter'] ) ? esc_attr( $values['lead_twitter'][0] ) : '';
	$lead_pinterest = isset( $values['lead_pinterest'] ) ? esc_attr( $values['lead_pinterest'][0] ) : '';
	$lead_linkedin = isset( $values['lead_linkedin'] ) ? esc_attr( $values['lead_linkedin'][0] ) : '';
	$lead_rss = isset( $values['lead_rss'] ) ? esc_attr( $values['lead_rss'][0] ) : '';
	$lead_skype = isset( $values['lead_skype'] ) ? esc_attr( $values['lead_skype'][0] ) : '';
	$lead_youtube = isset( $values['lead_youtube'] ) ? esc_attr( $values['lead_youtube'][0] ) : '';
	
	//General Styling
	$lead_headline = isset( $values['lead_headline'] ) ? esc_attr( $values['lead_headline'][0] ) : '';
	$lead_headline_size = isset( $values['lead_headline_size'] ) ? esc_attr( $values['lead_headline_size'][0] ) : '';
	$lead_headline_style = isset( $values['lead_headline_style'] ) ? esc_attr( $values['lead_headline_style'][0] ) : '';
	$lead_headline_color = isset( $values['lead_headline_color'] ) ? esc_attr( $values['lead_headline_color'][0] ) : '';				$no_lead_headline = isset( $values['no_lead_headline'] ) ? esc_attr( $values['no_lead_headline'][0] ) : '';	$no_lead_headline_size = isset( $values['no_lead_headline_size'] ) ? esc_attr( $values['no_lead_headline_size'][0] ) : '';	$no_lead_headline_style = isset( $values['no_lead_headline_style'] ) ? esc_attr( $values['no_lead_headline_style'][0] ) : '';	
		$no_lead_headline_color = isset( $values['no_lead_headline_color'] ) ? esc_attr( $values['no_lead_headline_color'][0] ) : '';		
	
	$lead_container_bg = isset( $values['lead_container_bg'] ) ? esc_attr( $values['lead_container_bg'][0] ) : '';
	$lead_header_bg = isset( $values['lead_header_bg'] ) ? esc_attr( $values['lead_header_bg'][0] ) : '';
	$lead_body_bg = isset( $values['lead_body_bg'] ) ? esc_attr( $values['lead_body_bg'][0] ) : '';
	
	$lead_checkBg = isset( $values['lead_checkBg'] ) ? esc_attr( $values['lead_checkBg'][0] ) : '';
	$bg_img1 = isset( $values['bg_img1'] ) ? esc_attr( $values['bg_img1'][0] ) : '';
	$bg_img2 = isset( $values['bg_img2'] ) ? esc_attr( $values['bg_img2'][0] ) : '';
	$bg_img3 = isset( $values['bg_img3'] ) ? esc_attr( $values['bg_img3'][0] ) : '';
	
	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>


<?php include 'plugin-content.php'; ?>

	
	
	<?php	
}


add_action( 'save_post', 'save_localleader' );
function save_localleader( $post_id )
{
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	if( !current_user_can( 'edit_post' ) ) return;
	$allowed = array( 
		'a' => array( 
			'href' => array() 
		)
	);
	
	if( isset( $_POST['lead_logo'] ) )
		update_post_meta( $post_id, 'lead_logo', esc_attr( $_POST['lead_logo'] ) );	
	if( isset( $_POST['lead_cta_heading'] ) )
		update_post_meta( $post_id, 'lead_cta_heading', esc_attr( $_POST['lead_cta_heading'] ) );		
	if( isset( $_POST['lead_cta_subheading'] ) )
		update_post_meta( $post_id, 'lead_cta_subheading', esc_attr( $_POST['lead_cta_subheading'] ) );			if( isset( $_POST['lead_cta_subheading_no'] ) )		update_post_meta( $post_id, 'lead_cta_subheading_no', esc_attr( $_POST['lead_cta_subheading_no'] ) );	
	if( isset( $_POST['lead_footer_text'] ) )
		update_post_meta( $post_id, 'lead_footer_text', esc_attr( $_POST['lead_footer_text'] ) );
	if( isset( $_POST['lead_footer_menu'] ) )
		update_post_meta( $post_id, 'lead_footer_menu', esc_attr( $_POST['lead_footer_menu'] ) );
	
	if( isset( $_POST['lead_tap_call'] ) )
		update_post_meta( $post_id, 'lead_tap_call', esc_attr( $_POST['lead_tap_call'] ) );
		
	if( isset( $_POST['lead_featured_image'] ) )
		update_post_meta( $post_id, 'lead_featured_image', esc_attr( $_POST['lead_featured_image'] ) );
			if( isset( $_POST['lead_optin_textbg'] ) )		update_post_meta( $post_id, 'lead_optin_textbg', esc_attr( $_POST['lead_optin_textbg'] ) );		if( isset( $_POST['lead_optin_bg'] ) )		update_post_meta( $post_id, 'lead_optin_bg', esc_attr( $_POST['lead_optin_bg'] ) );
	if( isset( $_POST['lead_optin_heading'] ) )
		update_post_meta( $post_id, 'lead_optin_heading', esc_attr( $_POST['lead_optin_heading'] ) );			if( isset( $_POST['lead_optin_heading_size'] ) )		update_post_meta( $post_id, 'lead_optin_heading_size', esc_attr( $_POST['lead_optin_heading_size'] ) );		if( isset( $_POST['lead_optin_heading_style'] ) )		update_post_meta( $post_id, 'lead_optin_heading_style', esc_attr( $_POST['lead_optin_heading_style'] ) );			if( isset( $_POST['lead_optin_heading_font'] ) )		update_post_meta( $post_id, 'lead_optin_heading_font', esc_attr( $_POST['lead_optin_heading_font'] ) );			if( isset( $_POST['lead_optin_heading_color'] ) )		update_post_meta( $post_id, 'lead_optin_heading_color', esc_attr( $_POST['lead_optin_heading_color'] ) );			
	if( isset( $_POST['lead_optin_subheading'] ) )
		update_post_meta( $post_id, 'lead_optin_subheading', esc_attr( $_POST['lead_optin_subheading'] ) );				if( isset( $_POST['lead_optin_subheading_size'] ) )		update_post_meta( $post_id, 'lead_optin_subheading_size', esc_attr( $_POST['lead_optin_subheading_size'] ) );		if( isset( $_POST['lead_optin_subheading_style'] ) )		update_post_meta( $post_id, 'lead_optin_subheading_style', esc_attr( $_POST['lead_optin_subheading_style'] ) );			if( isset( $_POST['lead_optin_subheading_font'] ) )		update_post_meta( $post_id, 'lead_optin_subheading_font', esc_attr( $_POST['lead_optin_subheading_font'] ) );			if( isset( $_POST['lead_optin_subheading_color'] ) )		update_post_meta( $post_id, 'lead_optin_subheading_color', esc_attr( $_POST['lead_optin_subheading_color'] ) );				
	if( isset( $_POST['lead_optin_btn_text'] ) )
		update_post_meta( $post_id, 'lead_optin_btn_text', esc_attr( $_POST['lead_optin_btn_text'] ) );
	if( isset( $_POST['lead_optin_privacy_text'] ) )
		update_post_meta( $post_id, 'lead_optin_privacy_text', esc_attr( $_POST['lead_optin_privacy_text'] ) );



	
	if( isset( $_POST['lead_tab_one'] ) )
		update_post_meta( $post_id, 'lead_tab_one', esc_attr( $_POST['lead_tab_one'] ) );
	if( isset( $_POST['lead_tab_two'] ) )
		update_post_meta( $post_id, 'lead_tab_two', esc_attr( $_POST['lead_tab_two'] ) );
	if( isset( $_POST['lead_tab_three'] ) )
		update_post_meta( $post_id, 'lead_tab_three', esc_attr( $_POST['lead_tab_three'] ) );
	if( isset( $_POST['lead_tab_four'] ) )
		update_post_meta( $post_id, 'lead_tab_four', esc_attr( $_POST['lead_tab_four'] ) );
	
		
	if( isset( $_POST['lead_tabcontent1'] ) )
		update_post_meta( $post_id, 'lead_tabcontent1', esc_attr( $_POST['lead_tabcontent1'] ) );
	if( isset( $_POST['lead_tabcontent2'] ) )
		update_post_meta( $post_id, 'lead_tabcontent2', esc_attr( $_POST['lead_tabcontent2'] ) );
	if( isset( $_POST['lead_tabcontent3'] ) )
		update_post_meta( $post_id, 'lead_tabcontent3', esc_attr( $_POST['lead_tabcontent3'] ) );
	if( isset( $_POST['lead_tabcontent4'] ) )
		update_post_meta( $post_id, 'lead_tabcontent4', esc_attr( $_POST['lead_tabcontent4'] ) );
		if( isset( $_POST['tab_menu_bg'] ) )		update_post_meta( $post_id, 'tab_menu_bg', esc_attr( $_POST['tab_menu_bg'] ) );	if( isset( $_POST['tab_bg'] ) )		update_post_meta( $post_id, 'tab_bg', esc_attr( $_POST['tab_bg'] ) );	if( isset( $_POST['tab_font_size'] ) )		update_post_meta( $post_id, 'tab_font_size', esc_attr( $_POST['tab_font_size'] ) );	if( isset( $_POST['tab_font_font'] ) )		update_post_meta( $post_id, 'tab_font_font', esc_attr( $_POST['tab_font_font'] ) );	if( isset( $_POST['tab_font_style'] ) )		update_post_meta( $post_id, 'tab_font_style', esc_attr( $_POST['tab_font_style'] ) );	if( isset( $_POST['tab_font_color'] ) )		update_post_meta( $post_id, 'tab_font_color', esc_attr( $_POST['tab_font_color'] ) );	
	if( isset( $_POST['lead_embed_map'] ) )
		update_post_meta( $post_id, 'lead_embed_map', esc_attr( $_POST['lead_embed_map'] ) );
	
	if( isset( $_POST['lead_company_details'] ) )
		update_post_meta( $post_id, 'lead_company_details', esc_attr( $_POST['lead_company_details'] ) );
	if( isset( $_POST['lead_content_heading'] ) )
		update_post_meta( $post_id, 'lead_content_heading', esc_attr( $_POST['lead_content_heading'] ) );
	if( isset( $_POST['lead_content'] ) )
		update_post_meta( $post_id, 'lead_content', esc_attr( $_POST['lead_content'] ) );
		
	if( isset( $_POST['lead_facebook'] ) )
		update_post_meta( $post_id, 'lead_facebook', esc_attr( $_POST['lead_facebook'] ) );
	if( isset( $_POST['lead_twitter'] ) )
		update_post_meta( $post_id, 'lead_twitter', esc_attr( $_POST['lead_twitter'] ) );
	if( isset( $_POST['lead_pinterest'] ) )
		update_post_meta( $post_id, 'lead_pinterest', esc_attr( $_POST['lead_pinterest'] ) );
	if( isset( $_POST['lead_linkedin'] ) )
		update_post_meta( $post_id, 'lead_linkedin', esc_attr( $_POST['lead_linkedin'] ) );
	if( isset( $_POST['lead_rss'] ) )
		update_post_meta( $post_id, 'lead_rss', esc_attr( $_POST['lead_rss'] ) );
	if( isset( $_POST['lead_skype'] ) )
		update_post_meta( $post_id, 'lead_skype', esc_attr( $_POST['lead_skype'] ) );
	if( isset( $_POST['lead_youtube'] ) )
		update_post_meta( $post_id, 'lead_youtube', esc_attr( $_POST['lead_youtube'] ) );
	
	
	if( isset( $_POST['thumb_img_1'] ) )
		update_post_meta( $post_id, 'thumb_img_1', esc_attr( $_POST['thumb_img_1'] ) );
	if( isset( $_POST['thumb_img_2'] ) )
		update_post_meta( $post_id, 'thumb_img_2', esc_attr( $_POST['thumb_img_2'] ) );
	if( isset( $_POST['thumb_img_3'] ) )
		update_post_meta( $post_id, 'thumb_img_3', esc_attr( $_POST['thumb_img_3'] ) );
	if( isset( $_POST['thumb_img_4'] ) )
		update_post_meta( $post_id, 'thumb_img_4', esc_attr( $_POST['thumb_img_4'] ) );
	if( isset( $_POST['thumb_img_5'] ) )
		update_post_meta( $post_id, 'thumb_img_5', esc_attr( $_POST['thumb_img_5'] ) );
	if( isset( $_POST['thumb_img_6'] ) )
		update_post_meta( $post_id, 'thumb_img_6', esc_attr( $_POST['thumb_img_6'] ) );
	if( isset( $_POST['thumb_img_7'] ) )
		update_post_meta( $post_id, 'thumb_img_7', esc_attr( $_POST['thumb_img_7'] ) );
	
	//General Styling
	
	if( isset( $_POST['lead_headline'] ) )
		update_post_meta( $post_id, 'lead_headline', esc_attr( $_POST['lead_headline'] ) );
	if( isset( $_POST['lead_headline_size'] ) )
		update_post_meta( $post_id, 'lead_headline_size', esc_attr( $_POST['lead_headline_size'] ) );
	if( isset( $_POST['lead_headline_style'] ) )
		update_post_meta( $post_id, 'lead_headline_style', esc_attr( $_POST['lead_headline_style'] ) );			if( isset( $_POST['lead_headline_color'] ) )		update_post_meta( $post_id, 'lead_headline_color', esc_attr( $_POST['lead_headline_color'] ) );									if( isset( $_POST['no_lead_headline'] ) )		update_post_meta( $post_id, 'no_lead_headline', esc_attr( $_POST['no_lead_headline'] ) );	if( isset( $_POST['no_lead_headline_size'] ) )		update_post_meta( $post_id, 'no_lead_headline_size', esc_attr( $_POST['no_lead_headline_size'] ) );	if( isset( $_POST['no_lead_headline_style'] ) )		update_post_meta( $post_id, 'no_lead_headline_style', esc_attr( $_POST['no_lead_headline_style'] ) );			if( isset( $_POST['no_lead_headline_color'] ) )		update_post_meta( $post_id, 'no_lead_headline_color', esc_attr( $_POST['no_lead_headline_color'] ) );								
	if( isset( $_POST['lead_header_bg'] ) )
		update_post_meta( $post_id, 'lead_header_bg', esc_attr( $_POST['lead_header_bg'] ) );	
	if( isset( $_POST['lead_container_bg'] ) )
		update_post_meta( $post_id, 'lead_container_bg', esc_attr( $_POST['lead_container_bg'] ) );	
	if( isset( $_POST['lead_body_bg'] ) )
		update_post_meta( $post_id, 'lead_body_bg', esc_attr( $_POST['lead_body_bg'] ) );	
		
	if( isset( $_POST['lead_checkBg'] ) )
		update_post_meta( $post_id, 'lead_checkBg', esc_attr( $_POST['lead_checkBg'] ) );	
	if( isset( $_POST['bg_img1'] ) )
		update_post_meta( $post_id, 'bg_img1', esc_attr( $_POST['bg_img1'] ) );
	if( isset( $_POST['bg_img2'] ) )
		update_post_meta( $post_id, 'bg_img2', esc_attr( $_POST['bg_img2'] ) );
	if( isset( $_POST['bg_img3'] ) )
		update_post_meta( $post_id, 'bg_img3', esc_attr( $_POST['bg_img3'] ) );
		
		
}	
?>